-- 怪物挑战排行榜
checkRequire("Lua_MonsterTrialRankPanel");
checkRequire("Lua_MonsterTrialRewardPanel");
Lua_MonsterTrialRankWindow = class("Lua_MonsterTrialRankWindow", Lua_Window);
function Lua_MonsterTrialRankWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER
	self.windowName = "Lua_MonsterTrialRankWindow";
	self.winBgPath = "/images/common/ui_common_bg_001.jpg";
	self.isFullSizeWin = true;
	self.showWinBg = true;
	self.showBackBtn = true;
end

function Lua_MonsterTrialRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnInfo = Array();
	self.btnInfo:add({ textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_002_n", textSelectedSprite = "ui_djc_button_002_p", panel = Lua_MonsterTrialRankPanel });
	self.btnInfo:add({ textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_003_n", textSelectedSprite = "ui_djc_button_003_p", panel = Lua_MonsterTrialRewardPanel });

	self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.btnList:setRectAnchor(7);
	self.btnList:setLocation(238.5, 53.5, 0);
	self.btnList:setButtonStyle("common_altas_1", "ui_common_button_001_b", "ui_common_button_001_b", 118, 108, 0.01, 1);
	self.btnList:setButtonLine("common_altas_1", "ui_common_line_011", 2, 108, 0, 0, 1);
	self.btnList:setButtonItem(120, 108);
	self.btnList:setData(self.btnInfo);
	self.btnList:setClickCallBack(self, self.onBtnClick);
	self.btnList:setSelected(1);
end

function Lua_MonsterTrialRankWindow:onBtnClick(index)
	if self.selectedIdx == index then
		return;
	end
	self.selectedIdx = index;

	local data = self.btnInfo[index];
	if data.panel ~= nil then
		if self.showPanel ~= nil then
			self.showPanel:dispose();
			self.showPanel = nil;
		end

		self.showPanel = data.panel.new(self.content);
		self.showPanel:setSiblingIndex(1);
		self.showPanel:setRectAnchor(9);
	end
end

function Lua_MonsterTrialRankWindow:dispose()
	if self.btnInfo ~= nil then
		self.btnInfo:clear();
		self.btnInfo = nil;
	end
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	if self.showPanel ~= nil then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	
	self:superCall("dispose");
end