--新英雄主题活动 剧情播放Window
Lua_NewHeroStoryPlayWindow = class("Lua_NewHeroStoryPlayWindow", Lua_Window);
function Lua_NewHeroStoryPlayWindow:ctor()
    self:superCall("ctor");

    self.layer = MainWinDefine.NORMAL_WINDOW_LAYER
    self.windowName = "Lua_NewHeroStoryPlayWindow";
    self.skinName = "NewHeroStoryPlayWindow_skin";
    self.winBgPath = "/images/common/ui_common_bg_001.jpg";
    self.isFullSizeWin = true;
    self.showWinBg = true;
    self.showBackBtn = true;
end

function Lua_NewHeroStoryPlayWindow:buildPanel(go)
	self:superCall("buildPanel", go);
end

function Lua_NewHeroStoryPlayWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.isShow = true;

	self.jumpBtn:addClickFuntion(self, self.hide);
	self.hideBtn:addClickFuntion(self, self.onWinBgClick);
	self.autoBtn:addClickFuntion(self, self.onAutoBtnClick);
end

function Lua_NewHeroStoryPlayWindow:showWin(param)
	self:superCall("showWin", param);

	self.showTxt.text = param.content;
	Lua_MsgUtil.callFunc("NEWHERO_STORY_NEXTSTEP", param);
end

function Lua_NewHeroStoryPlayWindow:updateShow()
	self.jumpBtn:setEnable(self.isShow);
	self.hideBtn:setEnable(self.isShow);
	self.autoBtn:setEnable(self.isShow);
end

function Lua_NewHeroStoryPlayWindow:onWinBgClick()
	self.isShow = not self.isShow;
	self:updateShow();
end

function Lua_NewHeroStoryPlayWindow:onAutoBtnClick()
	print("自动播放剧情");
end

function Lua_NewHeroStoryPlayWindow:dispose()
	if self.showData.isFight == 0 then
		if self.showData.state ~= 3 then
			Lua_WindowUtil.openWin("Lua_ObtainItemTipsWindow", Lua_WinParam.ACTION_OPEN, self.showData.rewardVoArr);
		end
	else
		Lua_MsgUtil.callFunc("OPEN_NEWHERO_STORY_LINEUP", self.showData);
	end
	self:superCall("dispose");
end