Lua_LuckyGiftBoxTipsWindow = class("Lua_LuckyGiftBoxTipsWindow", Lua_Window);
function Lua_LuckyGiftBoxTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_LuckyGiftBoxTipsWindow";
	self.skinName = "LuckyGiftBoxTipsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showClose = true;
	self.showCloseText = true;
	self.closeTextPosY = -215;
end

function Lua_LuckyGiftBoxTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnClose:setLocation(295, 155);
end

function Lua_LuckyGiftBoxTipsWindow:showWin(param)
	self:superCall("showWin", param);

	self.time = 2;
	self.leftTimeTxt.text = LanUtil.formateStr("{1}秒后自动更新界面", self.time);
	self:startTimer();
end

function Lua_LuckyGiftBoxTipsWindow:startTimer()
	if self.bTimer ~= true then
		self.bTimer = true;
		self:addTimer("updateLeftTime", 1, self, self.updateLeftTime, nil, -1);
	end
end

function Lua_LuckyGiftBoxTipsWindow:updateLeftTime()
	self.time = self.time - 1;
	if self.time > 0 then
		self.leftTimeTxt.text = LanUtil.formateStr("{1}秒后自动更新界面", self.time);
	else
		self:endTimer();
		self:hide();
	end
end

function Lua_LuckyGiftBoxTipsWindow:endTimer()
	if self.bTimer == true then
		self.bTimer = false;
		self:removeTimer(self, self.updateLeftTime);
	end
end

function Lua_LuckyGiftBoxTipsWindow:dispose()
	self.showData.callBack(self.showData.owner, self.showData);
	self:endTimer();

	self:superCall("dispose");
end