--新英雄主题活动 新英雄活动海报Window
Lua_NewHeroActPosterWindow = class("Lua_NewHeroActPosterWindow", Lua_Window);

function Lua_NewHeroActPosterWindow:ctor()
    self:superCall("ctor");

    self.showBlackMask = true;

    self.windowName = "Lua_NewHeroActPosterWindow";
    self.skinName = "NewHeroActPosterWindow_skin";
end

function Lua_NewHeroActPosterWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.goBtn:addClickFuntion(self, self.onGoBtnClick);
end

function Lua_NewHeroActPosterWindow:showWin(param)
	self:superCall("showWin", param);

	local heroVo = Lua_HeroVo.new(param.hero_id);
	self.campIcon:setAltas("common_altas_2", "ui_common_button_0".. 25 + heroVo.campType .. "_n");
	self.nameTxt.text = heroVo.name;
	self.titleTxt.text = heroVo.title;
	self.heroImg:setUrl("/images/hero_atlas/ui_hbtj_lh_001.png");

	self.actVo = DataCenter.backstageActData:getActVoByIdx(param.act_index);
	if self.actVo ~= nil then
		self.time = self.actVo.residueTime + 1;
		self:onTimer();
	end
end

function Lua_NewHeroActPosterWindow:dispose()
	self:removeTimer(self, self.onTimer);
	self.actVo = nil;
	
	self:superCall("dispose");
end

function Lua_NewHeroActPosterWindow:onTimer()
	self.time = self.time - 1;
	if self.time < 0 then
		self.time = 0;
	end
	self.timeTxt.text = LanUtil.formateStr("剩余时间：{1}", Lua_TimeTransform.transSeconds1(self.time));

	if self.time > 0 then
		if not self.isTimer then
			self.isTimer = true;
			self:addTimer("onTimer", 1, self, self.onTimer)
		end
	else
		if self.isTimer then
			self.isTimer = false;
			self:removeTimer(self, self.onTimer);
		end
	end
end

function Lua_NewHeroActPosterWindow:onGoBtnClick()
	DataCenter.funcPathUtil:gotoFunction(1031, true)
end