--新英雄主题活动 新英雄试用Window
Lua_NewHeroActTryWindow = class("Lua_NewHeroActTryWindow", Lua_Window);

function Lua_NewHeroActTryWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true;

    self.windowName = "Lua_NewHeroActTryWindow";
    self.skinName = "NewHeroActTryWindow_skin";
end

function Lua_NewHeroActTryWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.actVo = DataCenter.backstageActData:getActVoByIdx(DataCenter.newHeroActData.trialActIdx);

	local heroVo = Lua_HeroVo.new(DataCenter.newHeroActData.trialHeroId);
	self.campIcon:setAltas("common_altas_2", "ui_common_button_0".. 25 + heroVo.campType .. "_n");
	self.nameTxt.text = heroVo.name;
	self.titleTxt.text = heroVo.title;
	self.heroImg:setUrl("/images/hero_atlas/ui_hbtj_lh_001.png");

	self.receiveBtn.label = LanUtil.formateStr("试用{1}天", DataCenter.newHeroActData.trialTime);

	self.tipIcon:addClickFuntion(self, self.onTipIconClick);
	self.receiveBtn:addClickFuntion(self, self.onReceiveBtnClick);
end

function Lua_NewHeroActTryWindow:dispose()
	self.actVo = nil;

	self:superCall("dispose");
end

function Lua_NewHeroActTryWindow:onTipIconClick(go)
	local tipsData = { des = self.actVo.help_des, posX = -168, posY = 361 };
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end

function Lua_NewHeroActTryWindow:onReceiveBtnClick(go)
	local newHeroActData = DataCenter.newHeroActData;
	Lua_ProxyManager.getProxy("Lua_NewHeroActivityProxy"):sTrialHero(newHeroActData.trialActIdx, newHeroActData.trialHeroId);
	self:hide();
end