--新英雄主题活动 悬浮章节Panel
Lua_NewHeroStoryMenuPanel = class("Lua_NewHeroStoryMenuPanel", Lua_DisplayObject);
function Lua_NewHeroStoryMenuPanel:ctor(p)
    self:superCall("ctor", p, "NewHeroStoryMenuPanel_skin");
end

function Lua_NewHeroStoryMenuPanel:buildPanel()
	self:superCall("buildPanel");
end

function Lua_NewHeroStoryMenuPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 250, 90, Lua_AxisDefine.Horizontal);
	self.dragList:setListCell(Lua_NewHeroStoryLevelItem, 90, 90, 1);
    self.dragList:setLocation(0, -50, 0);
end

function Lua_NewHeroStoryMenuPanel:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	self:superCall("dispose");
end

function Lua_NewHeroStoryMenuPanel:setData(data)
	self.titleTxt.text = data.chapterTitle;
	self.dragList:setArrayData(data.LevelVoArr);
end





--------------------------------------------------





Lua_NewHeroStoryLevelItem = class("Lua_NewHeroStoryLevelItem", Lua_ListCell);
function Lua_NewHeroStoryLevelItem:ctor(p)
	self:superCall("ctor", p, "NewHeroStoryLevelItem_skin");
end

function Lua_NewHeroStoryLevelItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_NewHeroStoryLevelItem:dispose()
	self.data = nil;

	self:superCall("dispose");
end

function Lua_NewHeroStoryLevelItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.titleTxt.text = data.name; -- data.title;
	self.itemBg:setGray(data.state == 0);
	self.finishIcon:setEnable(data.state == 3);
end

function Lua_NewHeroStoryLevelItem:onPressClick()
	if self.data.state == 0 then
		OperateAlert.show("关卡暂未解锁，请通关前置关卡");
	else
		Lua_WindowUtil.openWin("Lua_NewHeroStoryPreviewWindow", Lua_WinParam.ACTION_OPEN, self.data);
	end
end