--新英雄主题活动 关卡预览Window
Lua_NewHeroStoryPreviewWindow = class("Lua_NewHeroStoryPreviewWindow", Lua_Window);
function Lua_NewHeroStoryPreviewWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true;
	self.isClickClose = true;
	self.windowName = "Lua_NewHeroStoryPreviewWindow";
	self.skinName = "NewHeroStoryPreviewWindow_skin";
end

function Lua_NewHeroStoryPreviewWindow:buildPanel(go)
	self:superCall("buildPanel", go);
end

function Lua_NewHeroStoryPreviewWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 500, 120, Lua_AxisDefine.Horizontal);
	self.dragList:setListCell(Lua_NewHeroStoryPreviewItem, 120, 120, 1);
	self.dragList:setLocation(0, 0, 0);

	self.sureBtn:addClickFuntion(self, self.onSureBtnClick);
end

function Lua_NewHeroStoryPreviewWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	self:superCall("dispose");
end

function Lua_NewHeroStoryPreviewWindow:showWin(param)
	self:superCall("showWin", param);

	if param.state ~= 3 then
		self.sureBtn.label = "进入关卡";
	else
		self.sureBtn.label = "剧情回顾";
	end
	self.titleTxt.text = param.title;
	self.dragList:setArrayData(param.rewardVoArr);
end

function Lua_NewHeroStoryPreviewWindow:onSureBtnClick()
	Lua_WindowUtil.openWin("Lua_NewHeroStoryPlayWindow", Lua_WinParam.ACTION_OPEN, self.showData); -- 播放剧情
	self:hide();
end





--------------------------------------------------





Lua_NewHeroStoryPreviewItem = class("Lua_NewHeroStoryPreviewItem", Lua_ItemIconCell);

function Lua_NewHeroStoryPreviewItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_NewHeroStoryPreviewItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(0, 0, 0);
end

function Lua_NewHeroStoryPreviewItem:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_NewHeroStoryPreviewItem:setData(data)
	self:superCall("setData", data);

	self.itemIcon:setData(data);

	if data.state == 3 then
		if self.receiveIcon == nil then
			self.receiveIcon = UICreate.createUIAtlasImage(self.content, "gradegift_atlas", "gradegift_received", 0, 0, 0, 0);
		end
		self.receiveIcon:setEnable(true);
	else
		if self.receiveIcon ~= nil then
			self.receiveIcon:setEnable(false);
		end
	end
end